<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">
<LinearLayout
    android:layoutDirection="ltr"
    android:orientation="horizontal"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <LinearLayout
        android:layout_weight="1"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <TextView
            android:layout_weight="1"
            android:layout_marginLeft="50dp"
            android:layout_marginTop="50dp"
            android:lineSpacingExtra="10dp"
            android:textColor="@color/material_on_surface_emphasis_medium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="IP地址及版本号:"
            android:id="@+id/setttingInfo"></TextView>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_marginLeft="50dp"
            android:layout_marginBottom="10dp"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10dp"
                android:lineSpacingExtra="10dp"
                android:text="TCP连接状态:"
                ></TextView>
            <TextView
                android:id="@+id/tcpStatus"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:lineSpacingExtra="10dp"
                android:textColor="@color/red"
                android:text="未连接"
                ></TextView>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_marginLeft="50dp"
            android:layout_marginBottom="10dp"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:lineSpacingExtra="10dp"
                android:layout_height="wrap_content"
                android:layout_marginRight="10dp"
                android:text="串口状态:"
                ></TextView>
            <TextView
                android:id="@+id/serialStatus"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:lineSpacingExtra="10dp"
                android:textColor="@color/green"
                android:text="正常"
                ></TextView>
        </LinearLayout>
        <Button
            android:id="@+id/ButtonSetup"
            android:layout_marginLeft="50dp"
            android:layout_marginRight="50dp"
            android:textColor="@color/white"
            android:background="@color/design_default_color_primary"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:layout_marginTop="10dp"
            android:text="通信设置" />
        <Button
            android:layout_marginLeft="50dp"
            android:layout_marginRight="50dp"
            android:id="@+id/RebootApp"
            android:layout_marginBottom="50dp"
            android:layout_marginTop="10dp"
            android:textColor="@color/white"
            android:background="@color/teal_200"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="重启应用使配置生效" />

    </LinearLayout>
    <EditText
        android:id="@+id/EditTextReception"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_weight="1"
        android:gravity="top"
        android:hint="接收区"
         android:editable="false"
        android:scrollbarStyle="insideOverlay"
        android:isScrollContainer="true">
    </EditText>
</LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>